| Flutter Impeller |

Public Member Functions | Friends | List of all members
impeller::ComputePipelineMTL Class Referencefinal

`#include <compute_pipeline_mtl.h>`

Inheritance diagram for impeller::ComputePipelineMTL:

## Public Member Functions
| ~ComputePipelineMTL () override
id< MTLComputePipelineState > | GetMTLComputePipelineState () const
Public Member Functions inherited from impeller::Pipeline< ComputePipelineDescriptor >
virtual | ~Pipeline ()
const ComputePipelineDescriptor & | GetDescriptor () const
| Get the descriptor that was responsible for creating this pipeline. It may be copied and modified to create a pipeline variant. More...
PipelineFuture< ComputePipelineDescriptor > | CreateVariant (bool async, const std::function< void(ComputePipelineDescriptor &desc)> &descriptor_callback) const

## Friends
class | PipelineLibraryMTL

## Additional Inherited Members
Static Public Member Functions inherited from impeller::BackendCast< ComputePipelineMTL, Pipeline< ComputePipelineDescriptor > >
static ComputePipelineMTL & | Cast (Pipeline< ComputePipelineDescriptor > &base)
static const ComputePipelineMTL & | Cast (const Pipeline< ComputePipelineDescriptor > &base)
static ComputePipelineMTL * | Cast (Pipeline< ComputePipelineDescriptor > *base)
static const ComputePipelineMTL * | Cast (const Pipeline< ComputePipelineDescriptor > *base)
Protected Member Functions inherited from impeller::Pipeline< ComputePipelineDescriptor >
| Pipeline (std::weak_ptr< PipelineLibrary > library, const ComputePipelineDescriptor &desc)
Protected Attributes inherited from impeller::Pipeline< ComputePipelineDescriptor >
const std::weak_ptr< PipelineLibrary > | library_
const ComputePipelineDescriptor | desc_

## Detailed Description

Definition at line 15 of file compute_pipeline_mtl.h.

## Constructor & Destructor Documentation

## ◆ ~ComputePipelineMTL()

impeller::ComputePipelineMTL::~ComputePipelineMTL | ( |  | ) |
| overridedefault

## Member Function Documentation

## ◆ GetMTLComputePipelineState()

id< MTLComputePipelineState > impeller::ComputePipelineMTL::GetMTLComputePipelineState | ( |  | ) | const

Definition at line 25 of file compute_pipeline_mtl.mm.

26 {
27 return pipeline_state_;
28 }

## Friends And Related Function Documentation

## ◆ PipelineLibraryMTL

friend class PipelineLibraryMTL
| friend

Definition at line 26 of file compute_pipeline_mtl.h.

The documentation for this class was generated from the following files:

- impeller/renderer/backend/metal/compute_pipeline_mtl.h
- impeller/renderer/backend/metal/compute_pipeline_mtl.mm